using Encompass;
using KavTest.Components;
using KavTest.Messages;

namespace KavTest.Spawners
{
    public class LightBulbSpawner : Spawner<LightBulbSpawnMessage>
    {
        protected override void Spawn(in LightBulbSpawnMessage message)
        {
            var entity = CreateEntity();

            AddComponent(entity, new Transform3DComponent(message.Transform));
            AddComponent(entity, new PointLightComponent(message.Color, message.Intensity));
        }
    }
}
